
_interrupt:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,141 :: 		void interrupt()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,144 :: 		if (PIR0.TMR0IF){
	BTFSS       PIR0+0, 5 
	GOTO        L_interrupt0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,145 :: 		TMR0L = 0x05;                           // Se carga la cuenta inicial en 65285 para 1ms.
	MOVLW       5
	MOVWF       TMR0L+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,146 :: 		TMR0H = 0xFF;                           // ''
	MOVLW       255
	MOVWF       TMR0H+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,148 :: 		cuenta++;
	INFSNZ      _cuenta+0, 1 
	INCF        _cuenta+1, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,149 :: 		if (cuenta >= 500) {
	MOVLW       128
	XORWF       _cuenta+1, 0 
	MOVWF       R0 
	MOVLW       128
	XORLW       1
	SUBWF       R0, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__interrupt93
	MOVLW       244
	SUBWF       _cuenta+0, 0 
L__interrupt93:
	BTFSS       STATUS+0, 0 
	GOTO        L_interrupt1
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,150 :: 		WATER = ~WATER;
	BTG         LATD+0, 0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,151 :: 		cuenta = 0;
	CLRF        _cuenta+0 
	CLRF        _cuenta+1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,152 :: 		}
L_interrupt1:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,154 :: 		PIR0.TMR0IF = 0;                        // Reinicio de la bandera del bit de interrupcin.
	BCF         PIR0+0, 5 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,155 :: 		}
L_interrupt0:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,156 :: 		}
L_end_interrupt:
L__interrupt92:
	RETFIE      1
; end of _interrupt

_main:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,158 :: 		void main()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,167 :: 		InitMCU();
	CALL        _InitMCU+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,168 :: 		Init_Interrupt();
	CALL        _Init_Interrupt+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,170 :: 		MFRC522_CS = 1;
	BSF         LATC+0, 3 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,171 :: 		MFRC522_CS_Direction = 0;
	BCF         TRISC3_bit+0, BitPos(TRISC3_bit+0) 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,173 :: 		SPI1_Init_Advanced(_SPI_MASTER_OSC_DIV16, _SPI_DATA_SAMPLE_MIDDLE, _SPI_CLK_IDLE_LOW, _SPI_LOW_2_HIGH);
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_master+0 
	CLRF        FARG_SPI1_Init_Advanced_data_sample+0 
	CLRF        FARG_SPI1_Init_Advanced_clock_idle+0 
	MOVLW       1
	MOVWF       FARG_SPI1_Init_Advanced_transmit_edge+0 
	CALL        _SPI1_Init_Advanced+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,174 :: 		MFRC522_Init();
	CALL        _MFRC522_Init+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,176 :: 		while (1) {
L_main2:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,178 :: 		MFRC522_CS = 0;
	BCF         LATC+0, 3 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,179 :: 		status1 = MFRC_getVersion();
	CALL        _MFRC_getVersion+0, 0
	MOVF        R0, 0 
	MOVWF       main_status1_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,180 :: 		Uart1_Escribir_Texto("Status request: ");
	MOVLW       ?lstr1_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1+0
	MOVWF       FARG_Uart1_Escribir_Texto__text+0 
	MOVLW       hi_addr(?lstr1_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1+0)
	MOVWF       FARG_Uart1_Escribir_Texto__text+1 
	CALL        _Uart1_Escribir_Texto+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,181 :: 		UART1_Write(status1);
	MOVF        main_status1_L0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,182 :: 		UART1_Write(0x0D);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,183 :: 		Uart1_Escribir_Texto("=============================");
	MOVLW       ?lstr2_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1+0
	MOVWF       FARG_Uart1_Escribir_Texto__text+0 
	MOVLW       hi_addr(?lstr2_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1+0)
	MOVWF       FARG_Uart1_Escribir_Texto__text+1 
	CALL        _Uart1_Escribir_Texto+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,184 :: 		UART1_Write(0x0D);
	MOVLW       13
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,186 :: 		MFRC522_CS = 1;
	BSF         LATC+0, 3 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,187 :: 		delay_ms(50);
	MOVLW       5
	MOVWF       R11, 0
	MOVLW       15
	MOVWF       R12, 0
	MOVLW       241
	MOVWF       R13, 0
L_main4:
	DECFSZ      R13, 1, 1
	BRA         L_main4
	DECFSZ      R12, 1, 1
	BRA         L_main4
	DECFSZ      R11, 1, 1
	BRA         L_main4
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,229 :: 		}
	GOTO        L_main2
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,230 :: 		}
L_end_main:
	GOTO        $+0
; end of _main

_InitMCU:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,232 :: 		void InitMCU()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,234 :: 		ANSELA = 0x00;                  // Digital o analogico
	CLRF        ANSELA+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,235 :: 		ANSELC = 0x00;
	CLRF        ANSELC+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,236 :: 		ANSELD = 0x00;
	CLRF        ANSELD+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,237 :: 		ANSELE = 0x00;
	CLRF        ANSELE+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,239 :: 		TRISA = 0x00;                   // Entrada o salida
	CLRF        TRISA+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,240 :: 		TRISC = 0x00;
	CLRF        TRISC+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,241 :: 		TRISD = 0x00;
	CLRF        TRISD+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,242 :: 		TRISE = 0x00;
	CLRF        TRISE+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,246 :: 		LATA = 0x00;                    // Low o High
	CLRF        LATA+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,247 :: 		LATC = 0x00;
	CLRF        LATC+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,248 :: 		LATD = 0x00;
	CLRF        LATD+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,249 :: 		LATE = 0x00;
	CLRF        LATE+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,251 :: 		RX1PPS = 0x0C;                  // Rx1 en pin RB4
	MOVLW       12
	MOVWF       RX1PPS+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,252 :: 		RB5PPS = 0x09;                  // Tx1 en pin RB5
	MOVLW       9
	MOVWF       RB5PPS+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,254 :: 		SSP1DATPPS = 0x10;            // SDI en pin RC0
	MOVLW       16
	MOVWF       SSP1DATPPS+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,255 :: 		RC1PPS = 0x10;                // SDO en pin RC1
	MOVLW       16
	MOVWF       RC1PPS+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,256 :: 		RC2PPS = 0x0F;                // SCK en pin RC2
	MOVLW       15
	MOVWF       RC2PPS+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,258 :: 		UART1_Init(115200);
	BSF         BAUDCON+0, 3, 0
	MOVLW       138
	MOVWF       SPBRG+0 
	MOVLW       0
	MOVWF       SPBRG+1 
	BSF         TXSTA+0, 2, 0
	CALL        _UART1_Init+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,259 :: 		delay_ms(100);
	MOVLW       9
	MOVWF       R11, 0
	MOVLW       30
	MOVWF       R12, 0
	MOVLW       228
	MOVWF       R13, 0
L_InitMCU5:
	DECFSZ      R13, 1, 1
	BRA         L_InitMCU5
	DECFSZ      R12, 1, 1
	BRA         L_InitMCU5
	DECFSZ      R11, 1, 1
	BRA         L_InitMCU5
	NOP
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,260 :: 		}
L_end_InitMCU:
	RETURN      0
; end of _InitMCU

_Init_Interrupt:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,262 :: 		void Init_Interrupt()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,264 :: 		INTCON = 0xC0;                                        // GIE (Global Interrupt Enable) = 1, IPEN (Peripheral Interrupt Enable) = 1
	MOVLW       192
	MOVWF       INTCON+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,267 :: 		T0CON0 = 0x90;                                        // Timer0 Enable - Timer de 16 bits
	MOVLW       144
	MOVWF       T0CON0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,268 :: 		T0CON1 = 0x46;                                        // Clock Source Fosc/4 - Prescaler 64
	MOVLW       70
	MOVWF       T0CON1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,269 :: 		PIE0 = 0x20;                                          // TMR0 Enable Interrupt
	MOVLW       32
	MOVWF       PIE0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,270 :: 		TMR0L = 0x05;                                         // La cuenta inicia en 65285 para 1ms, Prescaler 64
	MOVLW       5
	MOVWF       TMR0L+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,271 :: 		TMR0H = 0xFF;
	MOVLW       255
	MOVWF       TMR0H+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,272 :: 		}
L_end_Init_Interrupt:
	RETURN      0
; end of _Init_Interrupt

FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,274 :: 		static void MFRC522_Wr( char addr, char value )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,276 :: 		MFRC522_CS = 0;
	BCF         LATC+0, 3 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,277 :: 		SPI1_Write( 0x00 );
	CLRF        FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,278 :: 		SPI1_Write( ( addr << 1 ) & 0x7E );
	MOVF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	RLCF        FARG_SPI1_Write_data_+0, 1 
	BCF         FARG_SPI1_Write_data_+0, 0 
	MOVLW       126
	ANDWF       FARG_SPI1_Write_data_+0, 1 
	CALL        _SPI1_Write+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,279 :: 		SPI1_Write( value );
	MOVF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	CALL        _SPI1_Write+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,280 :: 		MFRC522_CS = 1;
	BSF         LATC+0, 3 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,281 :: 		}
L_end_MFRC522_Wr:
	RETURN      0
; end of FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr

FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,283 :: 		static char MFRC522_Rd( char addr )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,286 :: 		MFRC522_CS = 0;
	BCF         LATC+0, 3 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,287 :: 		SPI1_Write( (( addr << 1 ) & 0x7E) | 0x80 );
	MOVF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0, 0 
	MOVWF       FARG_SPI1_Write_data_+0 
	RLCF        FARG_SPI1_Write_data_+0, 1 
	BCF         FARG_SPI1_Write_data_+0, 0 
	MOVLW       126
	ANDWF       FARG_SPI1_Write_data_+0, 1 
	BSF         FARG_SPI1_Write_data_+0, 7 
	CALL        _SPI1_Write+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,288 :: 		value = SPI1_Read( 0x00 );
	CLRF        FARG_SPI1_Read_buffer+0 
	CALL        _SPI1_Read+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,289 :: 		MFRC522_CS = 1;
	BSF         LATC+0, 3 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,290 :: 		return value;
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,291 :: 		}
L_end_MFRC522_Rd:
	RETURN      0
; end of FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd

FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,293 :: 		static void MFRC522_Clear_Bit( char addr, char mask )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,295 :: 		MFRC522_Wr( addr, MFRC522_Rd( addr ) & (~mask) );
	MOVF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	COMF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_mask+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	ANDWF       R0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	MOVF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,296 :: 		}
L_end_MFRC522_Clear_Bit:
	RETURN      0
; end of FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit

FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,298 :: 		static void MFRC522_Set_Bit( char addr, char mask )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,300 :: 		MFRC522_Wr( addr, MFRC522_Rd( addr ) | mask );
	MOVF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_addr+0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_mask+0, 0 
	IORWF       R0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	MOVF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_addr+0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,301 :: 		}
L_end_MFRC522_Set_Bit:
	RETURN      0
; end of FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit

_MFRC522_Reset:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,303 :: 		void MFRC522_Reset()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,305 :: 		MFRC522_Wr( COMMANDREG, PCD_RESETPHASE );
	MOVLW       1
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       15
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,306 :: 		}
L_end_MFRC522_Reset:
	RETURN      0
; end of _MFRC522_Reset

_MFRC522_AntennaOn:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,308 :: 		void MFRC522_AntennaOn()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,310 :: 		MFRC522_Set_Bit( TXCONTROLREG, 0x03 );
	MOVLW       20
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_addr+0 
	MOVLW       3
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,311 :: 		}
L_end_MFRC522_AntennaOn:
	RETURN      0
; end of _MFRC522_AntennaOn

_MFRC522_AntennaOff:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,313 :: 		void MFRC522_AntennaOff()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,315 :: 		MFRC522_Clear_Bit( TXCONTROLREG, 0x03 );
	MOVLW       20
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0 
	MOVLW       3
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,316 :: 		}
L_end_MFRC522_AntennaOff:
	RETURN      0
; end of _MFRC522_AntennaOff

_MFRC522_Init:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,318 :: 		void MFRC522_Init()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,320 :: 		MFRC522_CS_Direction = 0;
	BCF         TRISC3_bit+0, BitPos(TRISC3_bit+0) 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,321 :: 		MFRC522_Rst_Direction = 0;
	BCF         TRISA0_bit+0, BitPos(TRISA0_bit+0) 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,322 :: 		MFRC522_CS = 1;
	BSF         LATC+0, 3 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,323 :: 		MFRC522_Rst = 1;
	BSF         LATA+0, 0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,325 :: 		MFRC522_Reset();
	CALL        _MFRC522_Reset+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,327 :: 		MFRC522_Wr( TMODEREG, 0x8D );      //Tauto=1; f(Timer) = 6.78MHz/TPreScaler
	MOVLW       42
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       141
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,328 :: 		MFRC522_Wr( TPRESCALERREG, 0x3E ); //TModeReg[3..0] + TPrescalerReg
	MOVLW       43
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       62
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,329 :: 		MFRC522_Wr( TRELOADREGL, 30 );
	MOVLW       45
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       30
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,330 :: 		MFRC522_Wr( TRELOADREGH, 0 );
	MOVLW       44
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	CLRF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,332 :: 		MFRC522_Wr( TXAUTOREG, 0x40 );    //100%ASK
	MOVLW       21
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       64
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,333 :: 		MFRC522_Wr( MODEREG, 0x3D );      // CRC valor inicial de 0x6363
	MOVLW       17
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       61
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,338 :: 		MFRC522_AntennaOn();
	CALL        _MFRC522_AntennaOn+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,339 :: 		}
L_end_MFRC522_Init:
	RETURN      0
; end of _MFRC522_Init

_MFRC522_ToCard:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,341 :: 		char MFRC522_ToCard( char command, char *sendData, char sendLen, char *backData, unsigned *backLen )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,343 :: 		char _status = MI_ERR;
	MOVLW       2
	MOVWF       MFRC522_ToCard__status_L0+0 
	CLRF        MFRC522_ToCard_irqEn_L0+0 
	CLRF        MFRC522_ToCard_waitIRq_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,350 :: 		switch (command) {
	GOTO        L_MFRC522_ToCard6
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,351 :: 		case PCD_AUTHENT:       //Certification cards close
L_MFRC522_ToCard8:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,352 :: 		irqEn = 0x12;
	MOVLW       18
	MOVWF       MFRC522_ToCard_irqEn_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,353 :: 		waitIRq = 0x10;
	MOVLW       16
	MOVWF       MFRC522_ToCard_waitIRq_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,354 :: 		break;
	GOTO        L_MFRC522_ToCard7
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,355 :: 		case PCD_TRANSCEIVE:    //Transmit FIFO data
L_MFRC522_ToCard9:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,356 :: 		irqEn = 0x77;
	MOVLW       119
	MOVWF       MFRC522_ToCard_irqEn_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,357 :: 		waitIRq = 0x30;
	MOVLW       48
	MOVWF       MFRC522_ToCard_waitIRq_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,358 :: 		break;
	GOTO        L_MFRC522_ToCard7
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,359 :: 		default:
L_MFRC522_ToCard10:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,360 :: 		break;
	GOTO        L_MFRC522_ToCard7
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,361 :: 		}
L_MFRC522_ToCard6:
	MOVF        FARG_MFRC522_ToCard_command+0, 0 
	XORLW       14
	BTFSC       STATUS+0, 2 
	GOTO        L_MFRC522_ToCard8
	MOVF        FARG_MFRC522_ToCard_command+0, 0 
	XORLW       12
	BTFSC       STATUS+0, 2 
	GOTO        L_MFRC522_ToCard9
	GOTO        L_MFRC522_ToCard10
L_MFRC522_ToCard7:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,362 :: 		MFRC522_Wr( COMMIENREG, irqEn | 0x80 );  //Interrupt request
	MOVLW       2
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       128
	IORWF       MFRC522_ToCard_irqEn_L0+0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,363 :: 		MFRC522_Clear_Bit( COMMIRQREG, 0x80 );   //Clear all interrupt request bit
	MOVLW       4
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0 
	MOVLW       128
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,364 :: 		MFRC522_Set_Bit( FIFOLEVELREG, 0x80 );   //FlushBuffer=1, FIFO Initialization
	MOVLW       10
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_addr+0 
	MOVLW       128
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,365 :: 		MFRC522_Wr( COMMANDREG, PCD_IDLE );      //NO action; Cancel the current command???
	MOVLW       1
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	CLRF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,368 :: 		for ( i=0; i < sendLen; i++ ) {
	CLRF        MFRC522_ToCard_i_L0+0 
	CLRF        MFRC522_ToCard_i_L0+1 
L_MFRC522_ToCard11:
	MOVLW       0
	SUBWF       MFRC522_ToCard_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_ToCard106
	MOVF        FARG_MFRC522_ToCard_sendLen+0, 0 
	SUBWF       MFRC522_ToCard_i_L0+0, 0 
L__MFRC522_ToCard106:
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_ToCard12
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,369 :: 		MFRC522_Wr( FIFODATAREG, sendData[i] );
	MOVLW       9
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVF        MFRC522_ToCard_i_L0+0, 0 
	ADDWF       FARG_MFRC522_ToCard_sendData+0, 0 
	MOVWF       FSR0L 
	MOVF        MFRC522_ToCard_i_L0+1, 0 
	ADDWFC      FARG_MFRC522_ToCard_sendData+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,368 :: 		for ( i=0; i < sendLen; i++ ) {
	INFSNZ      MFRC522_ToCard_i_L0+0, 1 
	INCF        MFRC522_ToCard_i_L0+1, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,370 :: 		}
	GOTO        L_MFRC522_ToCard11
L_MFRC522_ToCard12:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,372 :: 		MFRC522_Wr( COMMANDREG, command );
	MOVLW       1
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVF        FARG_MFRC522_ToCard_command+0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,373 :: 		if (command == PCD_TRANSCEIVE ) {
	MOVF        FARG_MFRC522_ToCard_command+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_ToCard14
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,374 :: 		MFRC522_Set_Bit( BITFRAMINGREG, 0x80 ); //StartSend=1,transmission of data starts
	MOVLW       13
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_addr+0 
	MOVLW       128
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,375 :: 		}
L_MFRC522_ToCard14:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,378 :: 		i = 0xFFFF;
	MOVLW       255
	MOVWF       MFRC522_ToCard_i_L0+0 
	MOVLW       255
	MOVWF       MFRC522_ToCard_i_L0+1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,379 :: 		do {
L_MFRC522_ToCard15:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,382 :: 		n = MFRC522_Rd( COMMIRQREG );
	MOVLW       4
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_ToCard_n_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,383 :: 		i--;
	MOVLW       1
	SUBWF       MFRC522_ToCard_i_L0+0, 1 
	MOVLW       0
	SUBWFB      MFRC522_ToCard_i_L0+1, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,384 :: 		} while ( i && !(n & 0x01) && !( n & waitIRq ) );
	MOVF        MFRC522_ToCard_i_L0+0, 0 
	IORWF       MFRC522_ToCard_i_L0+1, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L__MFRC522_ToCard83
	BTFSC       MFRC522_ToCard_n_L0+0, 0 
	GOTO        L__MFRC522_ToCard83
	MOVF        MFRC522_ToCard_waitIRq_L0+0, 0 
	ANDWF       MFRC522_ToCard_n_L0+0, 0 
	MOVWF       R0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_ToCard83
	GOTO        L_MFRC522_ToCard15
L__MFRC522_ToCard83:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,385 :: 		MFRC522_Clear_Bit( BITFRAMINGREG, 0x80 );    //StartSend=0
	MOVLW       13
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0 
	MOVLW       128
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,386 :: 		if (i != 0) {
	MOVLW       0
	XORWF       MFRC522_ToCard_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_ToCard107
	MOVLW       0
	XORWF       MFRC522_ToCard_i_L0+0, 0 
L__MFRC522_ToCard107:
	BTFSC       STATUS+0, 2 
	GOTO        L_MFRC522_ToCard20
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,387 :: 		if( !( MFRC522_Rd( ERRORREG ) & 0x1B ) ) { //BufferOvfl Collerr CRCErr ProtecolErr
	MOVLW       6
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVLW       27
	ANDWF       R0, 1 
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_ToCard21
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,388 :: 		_status = MI_OK;
	CLRF        MFRC522_ToCard__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,389 :: 		if ( n & irqEn & 0x01 ) {
	MOVF        MFRC522_ToCard_irqEn_L0+0, 0 
	ANDWF       MFRC522_ToCard_n_L0+0, 0 
	MOVWF       R1 
	BTFSS       R1, 0 
	GOTO        L_MFRC522_ToCard22
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,390 :: 		_status = MI_NOTAGERR;       //??
	MOVLW       1
	MOVWF       MFRC522_ToCard__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,391 :: 		}
L_MFRC522_ToCard22:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,392 :: 		if ( command == PCD_TRANSCEIVE ) {
	MOVF        FARG_MFRC522_ToCard_command+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_ToCard23
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,393 :: 		n = MFRC522_Rd( FIFOLEVELREG );
	MOVLW       10
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_ToCard_n_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,394 :: 		lastBits = MFRC522_Rd( CONTROLREG ) & 0x07;
	MOVLW       12
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVLW       7
	ANDWF       R0, 1 
	MOVF        R0, 0 
	MOVWF       MFRC522_ToCard_lastBits_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,395 :: 		if (lastBits) {
	MOVF        R0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_MFRC522_ToCard24
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,396 :: 		*backLen = (n-1) * 8 + lastBits;
	DECF        MFRC522_ToCard_n_L0+0, 0 
	MOVWF       R3 
	CLRF        R4 
	MOVLW       0
	SUBWFB      R4, 1 
	MOVLW       3
	MOVWF       R2 
	MOVF        R3, 0 
	MOVWF       R0 
	MOVF        R4, 0 
	MOVWF       R1 
	MOVF        R2, 0 
L__MFRC522_ToCard108:
	BZ          L__MFRC522_ToCard109
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__MFRC522_ToCard108
L__MFRC522_ToCard109:
	MOVF        MFRC522_ToCard_lastBits_L0+0, 0 
	ADDWF       R0, 1 
	MOVLW       0
	ADDWFC      R1, 1 
	MOVFF       FARG_MFRC522_ToCard_backLen+0, FSR1L
	MOVFF       FARG_MFRC522_ToCard_backLen+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,397 :: 		} else {
	GOTO        L_MFRC522_ToCard25
L_MFRC522_ToCard24:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,398 :: 		*backLen = n * 8;
	MOVLW       3
	MOVWF       R2 
	MOVF        MFRC522_ToCard_n_L0+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	MOVF        R2, 0 
L__MFRC522_ToCard110:
	BZ          L__MFRC522_ToCard111
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	ADDLW       255
	GOTO        L__MFRC522_ToCard110
L__MFRC522_ToCard111:
	MOVFF       FARG_MFRC522_ToCard_backLen+0, FSR1L
	MOVFF       FARG_MFRC522_ToCard_backLen+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
	MOVF        R1, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,399 :: 		}
L_MFRC522_ToCard25:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,400 :: 		if (n == 0) {
	MOVF        MFRC522_ToCard_n_L0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_ToCard26
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,401 :: 		n = 1;
	MOVLW       1
	MOVWF       MFRC522_ToCard_n_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,402 :: 		}
L_MFRC522_ToCard26:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,403 :: 		if (n > 16) {
	MOVF        MFRC522_ToCard_n_L0+0, 0 
	SUBLW       16
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_ToCard27
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,404 :: 		n = 16;
	MOVLW       16
	MOVWF       MFRC522_ToCard_n_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,405 :: 		}
L_MFRC522_ToCard27:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,407 :: 		for (i=0; i < n; i++) {
	CLRF        MFRC522_ToCard_i_L0+0 
	CLRF        MFRC522_ToCard_i_L0+1 
L_MFRC522_ToCard28:
	MOVLW       0
	SUBWF       MFRC522_ToCard_i_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_ToCard112
	MOVF        MFRC522_ToCard_n_L0+0, 0 
	SUBWF       MFRC522_ToCard_i_L0+0, 0 
L__MFRC522_ToCard112:
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_ToCard29
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,408 :: 		backData[i] = MFRC522_Rd( FIFODATAREG );
	MOVF        MFRC522_ToCard_i_L0+0, 0 
	ADDWF       FARG_MFRC522_ToCard_backData+0, 0 
	MOVWF       FLOC__MFRC522_ToCard+0 
	MOVF        MFRC522_ToCard_i_L0+1, 0 
	ADDWFC      FARG_MFRC522_ToCard_backData+1, 0 
	MOVWF       FLOC__MFRC522_ToCard+1 
	MOVLW       9
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVFF       FLOC__MFRC522_ToCard+0, FSR1L
	MOVFF       FLOC__MFRC522_ToCard+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,407 :: 		for (i=0; i < n; i++) {
	INFSNZ      MFRC522_ToCard_i_L0+0, 1 
	INCF        MFRC522_ToCard_i_L0+1, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,409 :: 		}
	GOTO        L_MFRC522_ToCard28
L_MFRC522_ToCard29:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,410 :: 		backData[i] = 0;
	MOVF        MFRC522_ToCard_i_L0+0, 0 
	ADDWF       FARG_MFRC522_ToCard_backData+0, 0 
	MOVWF       FSR1L 
	MOVF        MFRC522_ToCard_i_L0+1, 0 
	ADDWFC      FARG_MFRC522_ToCard_backData+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,411 :: 		}
L_MFRC522_ToCard23:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,412 :: 		} else {
	GOTO        L_MFRC522_ToCard31
L_MFRC522_ToCard21:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,413 :: 		_status = MI_ERR;
	MOVLW       2
	MOVWF       MFRC522_ToCard__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,414 :: 		}
L_MFRC522_ToCard31:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,415 :: 		}
L_MFRC522_ToCard20:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,418 :: 		return _status;
	MOVF        MFRC522_ToCard__status_L0+0, 0 
	MOVWF       R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,419 :: 		}
L_end_MFRC522_ToCard:
	RETURN      0
; end of _MFRC522_ToCard

_MFRC522_Request:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,421 :: 		char MFRC522_Request( char reqMode, char *TagType )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,425 :: 		MFRC522_Wr( BITFRAMINGREG, 0x07 ); //TxLastBists = BitFramingReg[2..0]   ???
	MOVLW       13
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       7
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,426 :: 		TagType[0] = reqMode;
	MOVFF       FARG_MFRC522_Request_TagType+0, FSR1L
	MOVFF       FARG_MFRC522_Request_TagType+1, FSR1H
	MOVF        FARG_MFRC522_Request_reqMode+0, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,427 :: 		_status = MFRC522_ToCard( PCD_TRANSCEIVE, TagType, 1, TagType, &backBits );
	MOVLW       12
	MOVWF       FARG_MFRC522_ToCard_command+0 
	MOVF        FARG_MFRC522_Request_TagType+0, 0 
	MOVWF       FARG_MFRC522_ToCard_sendData+0 
	MOVF        FARG_MFRC522_Request_TagType+1, 0 
	MOVWF       FARG_MFRC522_ToCard_sendData+1 
	MOVLW       1
	MOVWF       FARG_MFRC522_ToCard_sendLen+0 
	MOVF        FARG_MFRC522_Request_TagType+0, 0 
	MOVWF       FARG_MFRC522_ToCard_backData+0 
	MOVF        FARG_MFRC522_Request_TagType+1, 0 
	MOVWF       FARG_MFRC522_ToCard_backData+1 
	MOVLW       MFRC522_Request_backBits_L0+0
	MOVWF       FARG_MFRC522_ToCard_backLen+0 
	MOVLW       hi_addr(MFRC522_Request_backBits_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backLen+1 
	CALL        _MFRC522_ToCard+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_Request__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,428 :: 		if ( (_status != MI_OK) || (backBits != 0x10) ) {
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Request84
	MOVLW       0
	XORWF       MFRC522_Request_backBits_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Request114
	MOVLW       16
	XORWF       MFRC522_Request_backBits_L0+0, 0 
L__MFRC522_Request114:
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Request84
	GOTO        L_MFRC522_Request34
L__MFRC522_Request84:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,429 :: 		_status = MI_ERR;
	MOVLW       2
	MOVWF       MFRC522_Request__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,430 :: 		}
L_MFRC522_Request34:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,431 :: 		return _status;
	MOVF        MFRC522_Request__status_L0+0, 0 
	MOVWF       R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,432 :: 		}
L_end_MFRC522_Request:
	RETURN      0
; end of _MFRC522_Request

_MFRC522_CRC:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,434 :: 		void MFRC522_CRC( char *dataIn, char length, char *dataOut )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,437 :: 		MFRC522_Clear_Bit( DIVIRQREG, 0x04 );
	MOVLW       5
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0 
	MOVLW       4
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,438 :: 		MFRC522_Set_Bit( FIFOLEVELREG, 0x80 );
	MOVLW       10
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_addr+0 
	MOVLW       128
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Set_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,441 :: 		for ( i = 0; i < length; i++ ) {
	CLRF        MFRC522_CRC_i_L0+0 
L_MFRC522_CRC35:
	MOVF        FARG_MFRC522_CRC_length+0, 0 
	SUBWF       MFRC522_CRC_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_CRC36
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,442 :: 		MFRC522_Wr( FIFODATAREG, *dataIn++ );
	MOVLW       9
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVFF       FARG_MFRC522_CRC_dataIn+0, FSR0L
	MOVFF       FARG_MFRC522_CRC_dataIn+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
	INFSNZ      FARG_MFRC522_CRC_dataIn+0, 1 
	INCF        FARG_MFRC522_CRC_dataIn+1, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,441 :: 		for ( i = 0; i < length; i++ ) {
	INCF        MFRC522_CRC_i_L0+0, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,443 :: 		}
	GOTO        L_MFRC522_CRC35
L_MFRC522_CRC36:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,445 :: 		MFRC522_Wr( COMMANDREG, PCD_CALCCRC );
	MOVLW       1
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	MOVLW       3
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,447 :: 		i = 0xFF;
	MOVLW       255
	MOVWF       MFRC522_CRC_i_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,449 :: 		do {
L_MFRC522_CRC38:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,450 :: 		n = MFRC522_Rd( DIVIRQREG );
	MOVLW       5
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_CRC_n_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,451 :: 		i--;
	DECF        MFRC522_CRC_i_L0+0, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,452 :: 		} while( i && !(n & 0x04) );        //CRCIrq = 1
	MOVF        MFRC522_CRC_i_L0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L__MFRC522_CRC85
	BTFSC       MFRC522_CRC_n_L0+0, 2 
	GOTO        L__MFRC522_CRC85
	GOTO        L_MFRC522_CRC38
L__MFRC522_CRC85:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,454 :: 		dataOut[0] = MFRC522_Rd( CRCRESULTREGL );
	MOVF        FARG_MFRC522_CRC_dataOut+0, 0 
	MOVWF       FLOC__MFRC522_CRC+0 
	MOVF        FARG_MFRC522_CRC_dataOut+1, 0 
	MOVWF       FLOC__MFRC522_CRC+1 
	MOVLW       34
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVFF       FLOC__MFRC522_CRC+0, FSR1L
	MOVFF       FLOC__MFRC522_CRC+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,455 :: 		dataOut[1] = MFRC522_Rd( CRCRESULTREGM );
	MOVLW       1
	ADDWF       FARG_MFRC522_CRC_dataOut+0, 0 
	MOVWF       FLOC__MFRC522_CRC+0 
	MOVLW       0
	ADDWFC      FARG_MFRC522_CRC_dataOut+1, 0 
	MOVWF       FLOC__MFRC522_CRC+1 
	MOVLW       33
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	MOVFF       FLOC__MFRC522_CRC+0, FSR1L
	MOVFF       FLOC__MFRC522_CRC+1, FSR1H
	MOVF        R0, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,456 :: 		}
L_end_MFRC522_CRC:
	RETURN      0
; end of _MFRC522_CRC

_MFRC522_SelectTag:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,458 :: 		char MFRC522_SelectTag( char *serNum )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,468 :: 		buffer[0] = PICC_SElECTTAG;
	MOVLW       147
	MOVWF       MFRC522_SelectTag_buffer_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,469 :: 		buffer[1] = 0x70;
	MOVLW       112
	MOVWF       MFRC522_SelectTag_buffer_L0+1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,471 :: 		for ( i=2; i < 7; i++ ) {
	MOVLW       2
	MOVWF       MFRC522_SelectTag_i_L0+0 
L_MFRC522_SelectTag43:
	MOVLW       7
	SUBWF       MFRC522_SelectTag_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_SelectTag44
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,472 :: 		buffer[i] = *serNum++;
	MOVLW       MFRC522_SelectTag_buffer_L0+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(MFRC522_SelectTag_buffer_L0+0)
	MOVWF       FSR1H 
	MOVF        MFRC522_SelectTag_i_L0+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVFF       FARG_MFRC522_SelectTag_serNum+0, FSR0L
	MOVFF       FARG_MFRC522_SelectTag_serNum+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	INFSNZ      FARG_MFRC522_SelectTag_serNum+0, 1 
	INCF        FARG_MFRC522_SelectTag_serNum+1, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,471 :: 		for ( i=2; i < 7; i++ ) {
	INCF        MFRC522_SelectTag_i_L0+0, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,473 :: 		}
	GOTO        L_MFRC522_SelectTag43
L_MFRC522_SelectTag44:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,475 :: 		MFRC522_CRC( buffer, 7, &buffer[7] );
	MOVLW       MFRC522_SelectTag_buffer_L0+0
	MOVWF       FARG_MFRC522_CRC_dataIn+0 
	MOVLW       hi_addr(MFRC522_SelectTag_buffer_L0+0)
	MOVWF       FARG_MFRC522_CRC_dataIn+1 
	MOVLW       7
	MOVWF       FARG_MFRC522_CRC_length+0 
	MOVLW       MFRC522_SelectTag_buffer_L0+7
	MOVWF       FARG_MFRC522_CRC_dataOut+0 
	MOVLW       hi_addr(MFRC522_SelectTag_buffer_L0+7)
	MOVWF       FARG_MFRC522_CRC_dataOut+1 
	CALL        _MFRC522_CRC+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,477 :: 		_status = MFRC522_ToCard( PCD_TRANSCEIVE, buffer, 9, buffer, &recvBits );
	MOVLW       12
	MOVWF       FARG_MFRC522_ToCard_command+0 
	MOVLW       MFRC522_SelectTag_buffer_L0+0
	MOVWF       FARG_MFRC522_ToCard_sendData+0 
	MOVLW       hi_addr(MFRC522_SelectTag_buffer_L0+0)
	MOVWF       FARG_MFRC522_ToCard_sendData+1 
	MOVLW       9
	MOVWF       FARG_MFRC522_ToCard_sendLen+0 
	MOVLW       MFRC522_SelectTag_buffer_L0+0
	MOVWF       FARG_MFRC522_ToCard_backData+0 
	MOVLW       hi_addr(MFRC522_SelectTag_buffer_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backData+1 
	MOVLW       MFRC522_SelectTag_recvBits_L0+0
	MOVWF       FARG_MFRC522_ToCard_backLen+0 
	MOVLW       hi_addr(MFRC522_SelectTag_recvBits_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backLen+1 
	CALL        _MFRC522_ToCard+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,478 :: 		if ( (_status == MI_OK) && (recvBits == 0x18) ) {
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_SelectTag48
	MOVLW       0
	XORWF       MFRC522_SelectTag_recvBits_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_SelectTag117
	MOVLW       24
	XORWF       MFRC522_SelectTag_recvBits_L0+0, 0 
L__MFRC522_SelectTag117:
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_SelectTag48
L__MFRC522_SelectTag86:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,479 :: 		size = buffer[0];
	MOVF        MFRC522_SelectTag_buffer_L0+0, 0 
	MOVWF       MFRC522_SelectTag_size_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,480 :: 		} else {
	GOTO        L_MFRC522_SelectTag49
L_MFRC522_SelectTag48:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,481 :: 		size = 0;
	CLRF        MFRC522_SelectTag_size_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,482 :: 		}
L_MFRC522_SelectTag49:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,483 :: 		return size;
	MOVF        MFRC522_SelectTag_size_L0+0, 0 
	MOVWF       R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,484 :: 		}
L_end_MFRC522_SelectTag:
	RETURN      0
; end of _MFRC522_SelectTag

_MFRC522_Halt:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,487 :: 		void MFRC522_Halt()
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,492 :: 		buff[0] = PICC_HALT;
	MOVLW       80
	MOVWF       MFRC522_Halt_buff_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,493 :: 		buff[1] = 0;
	CLRF        MFRC522_Halt_buff_L0+1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,494 :: 		MFRC522_CRC( buff, 2, &buff[2] );
	MOVLW       MFRC522_Halt_buff_L0+0
	MOVWF       FARG_MFRC522_CRC_dataIn+0 
	MOVLW       hi_addr(MFRC522_Halt_buff_L0+0)
	MOVWF       FARG_MFRC522_CRC_dataIn+1 
	MOVLW       2
	MOVWF       FARG_MFRC522_CRC_length+0 
	MOVLW       MFRC522_Halt_buff_L0+2
	MOVWF       FARG_MFRC522_CRC_dataOut+0 
	MOVLW       hi_addr(MFRC522_Halt_buff_L0+2)
	MOVWF       FARG_MFRC522_CRC_dataOut+1 
	CALL        _MFRC522_CRC+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,495 :: 		MFRC522_Clear_Bit( STATUS2REG, 0x80 );
	MOVLW       8
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0 
	MOVLW       128
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,496 :: 		MFRC522_ToCard( PCD_TRANSCEIVE, buff, 4, buff, &unLen );
	MOVLW       12
	MOVWF       FARG_MFRC522_ToCard_command+0 
	MOVLW       MFRC522_Halt_buff_L0+0
	MOVWF       FARG_MFRC522_ToCard_sendData+0 
	MOVLW       hi_addr(MFRC522_Halt_buff_L0+0)
	MOVWF       FARG_MFRC522_ToCard_sendData+1 
	MOVLW       4
	MOVWF       FARG_MFRC522_ToCard_sendLen+0 
	MOVLW       MFRC522_Halt_buff_L0+0
	MOVWF       FARG_MFRC522_ToCard_backData+0 
	MOVLW       hi_addr(MFRC522_Halt_buff_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backData+1 
	MOVLW       MFRC522_Halt_unLen_L0+0
	MOVWF       FARG_MFRC522_ToCard_backLen+0 
	MOVLW       hi_addr(MFRC522_Halt_unLen_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backLen+1 
	CALL        _MFRC522_ToCard+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,497 :: 		MFRC522_Clear_Bit( STATUS2REG, 0x08 );
	MOVLW       8
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0 
	MOVLW       8
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,498 :: 		}
L_end_MFRC522_Halt:
	RETURN      0
; end of _MFRC522_Halt

_MFRC522_Auth:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,500 :: 		char MFRC522_Auth( char authMode, char BlockAddr, char *Sectorkey, char *serNum )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,508 :: 		buff[0] = authMode;
	MOVF        FARG_MFRC522_Auth_authMode+0, 0 
	MOVWF       MFRC522_Auth_buff_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,509 :: 		buff[1] = BlockAddr;
	MOVF        FARG_MFRC522_Auth_BlockAddr+0, 0 
	MOVWF       MFRC522_Auth_buff_L0+1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,511 :: 		for ( i = 2; i < 8; i++ ) {
	MOVLW       2
	MOVWF       MFRC522_Auth_i_L0+0 
L_MFRC522_Auth50:
	MOVLW       8
	SUBWF       MFRC522_Auth_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_Auth51
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,512 :: 		buff[i] = Sectorkey[i-2];
	MOVLW       MFRC522_Auth_buff_L0+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(MFRC522_Auth_buff_L0+0)
	MOVWF       FSR1H 
	MOVF        MFRC522_Auth_i_L0+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       2
	SUBWF       MFRC522_Auth_i_L0+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVF        R0, 0 
	ADDWF       FARG_MFRC522_Auth_Sectorkey+0, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      FARG_MFRC522_Auth_Sectorkey+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,511 :: 		for ( i = 2; i < 8; i++ ) {
	INCF        MFRC522_Auth_i_L0+0, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,513 :: 		}
	GOTO        L_MFRC522_Auth50
L_MFRC522_Auth51:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,515 :: 		for ( i = 8; i < 12; i++ ) {
	MOVLW       8
	MOVWF       MFRC522_Auth_i_L0+0 
L_MFRC522_Auth53:
	MOVLW       12
	SUBWF       MFRC522_Auth_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_Auth54
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,516 :: 		buff[i] = serNum[i-8];
	MOVLW       MFRC522_Auth_buff_L0+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(MFRC522_Auth_buff_L0+0)
	MOVWF       FSR1H 
	MOVF        MFRC522_Auth_i_L0+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       8
	SUBWF       MFRC522_Auth_i_L0+0, 0 
	MOVWF       R0 
	CLRF        R1 
	MOVLW       0
	SUBWFB      R1, 1 
	MOVF        R0, 0 
	ADDWF       FARG_MFRC522_Auth_serNum+0, 0 
	MOVWF       FSR0L 
	MOVF        R1, 0 
	ADDWFC      FARG_MFRC522_Auth_serNum+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,515 :: 		for ( i = 8; i < 12; i++ ) {
	INCF        MFRC522_Auth_i_L0+0, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,517 :: 		}
	GOTO        L_MFRC522_Auth53
L_MFRC522_Auth54:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,519 :: 		_status = MFRC522_ToCard( PCD_AUTHENT, buff, 12, buff, &recvBits );
	MOVLW       14
	MOVWF       FARG_MFRC522_ToCard_command+0 
	MOVLW       MFRC522_Auth_buff_L0+0
	MOVWF       FARG_MFRC522_ToCard_sendData+0 
	MOVLW       hi_addr(MFRC522_Auth_buff_L0+0)
	MOVWF       FARG_MFRC522_ToCard_sendData+1 
	MOVLW       12
	MOVWF       FARG_MFRC522_ToCard_sendLen+0 
	MOVLW       MFRC522_Auth_buff_L0+0
	MOVWF       FARG_MFRC522_ToCard_backData+0 
	MOVLW       hi_addr(MFRC522_Auth_buff_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backData+1 
	MOVLW       MFRC522_Auth_recvBits_L0+0
	MOVWF       FARG_MFRC522_ToCard_backLen+0 
	MOVLW       hi_addr(MFRC522_Auth_recvBits_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backLen+1 
	CALL        _MFRC522_ToCard+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_Auth__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,521 :: 		if ( ( _status != MI_OK ) || !( MFRC522_Rd( STATUS2REG ) & 0x08 ) ) {
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Auth87
	MOVLW       8
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
	BTFSS       R0, 3 
	GOTO        L__MFRC522_Auth87
	GOTO        L_MFRC522_Auth58
L__MFRC522_Auth87:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,522 :: 		_status = MI_ERR;
	MOVLW       2
	MOVWF       MFRC522_Auth__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,523 :: 		}
L_MFRC522_Auth58:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,525 :: 		return _status;
	MOVF        MFRC522_Auth__status_L0+0, 0 
	MOVWF       R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,526 :: 		}
L_end_MFRC522_Auth:
	RETURN      0
; end of _MFRC522_Auth

_MFRC522_Write:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,528 :: 		char MFRC522_Write( char blockAddr, char *writeData )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,534 :: 		buff[0] = PICC_WRITE;
	MOVLW       160
	MOVWF       MFRC522_Write_buff_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,535 :: 		buff[1] = blockAddr;
	MOVF        FARG_MFRC522_Write_blockAddr+0, 0 
	MOVWF       MFRC522_Write_buff_L0+1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,537 :: 		MFRC522_CRC( buff, 2, &buff[2] );
	MOVLW       MFRC522_Write_buff_L0+0
	MOVWF       FARG_MFRC522_CRC_dataIn+0 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+0)
	MOVWF       FARG_MFRC522_CRC_dataIn+1 
	MOVLW       2
	MOVWF       FARG_MFRC522_CRC_length+0 
	MOVLW       MFRC522_Write_buff_L0+2
	MOVWF       FARG_MFRC522_CRC_dataOut+0 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+2)
	MOVWF       FARG_MFRC522_CRC_dataOut+1 
	CALL        _MFRC522_CRC+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,538 :: 		_status = MFRC522_ToCard( PCD_TRANSCEIVE, buff, 4, buff, &recvBits );
	MOVLW       12
	MOVWF       FARG_MFRC522_ToCard_command+0 
	MOVLW       MFRC522_Write_buff_L0+0
	MOVWF       FARG_MFRC522_ToCard_sendData+0 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+0)
	MOVWF       FARG_MFRC522_ToCard_sendData+1 
	MOVLW       4
	MOVWF       FARG_MFRC522_ToCard_sendLen+0 
	MOVLW       MFRC522_Write_buff_L0+0
	MOVWF       FARG_MFRC522_ToCard_backData+0 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backData+1 
	MOVLW       MFRC522_Write_recvBits_L0+0
	MOVWF       FARG_MFRC522_ToCard_backLen+0 
	MOVLW       hi_addr(MFRC522_Write_recvBits_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backLen+1 
	CALL        _MFRC522_ToCard+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_Write__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,539 :: 		if ( (_status != MI_OK) || (recvBits != 4) || ( (buff[0] & 0x0F) != 0x0A) ) {
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Write89
	MOVLW       0
	XORWF       MFRC522_Write_recvBits_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Write121
	MOVLW       4
	XORWF       MFRC522_Write_recvBits_L0+0, 0 
L__MFRC522_Write121:
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Write89
	MOVLW       15
	ANDWF       MFRC522_Write_buff_L0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Write89
	GOTO        L_MFRC522_Write61
L__MFRC522_Write89:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,540 :: 		_status = MI_ERR;
	MOVLW       2
	MOVWF       MFRC522_Write__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,541 :: 		}
L_MFRC522_Write61:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,542 :: 		if (_status == MI_OK) {
	MOVF        MFRC522_Write__status_L0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_Write62
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,543 :: 		for ( i = 0; i < 16; i++ ) {                //Data to the FIFO write 16Byte
	CLRF        MFRC522_Write_i_L0+0 
L_MFRC522_Write63:
	MOVLW       16
	SUBWF       MFRC522_Write_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_Write64
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,544 :: 		buff[i] = writeData[i];
	MOVLW       MFRC522_Write_buff_L0+0
	MOVWF       FSR1L 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+0)
	MOVWF       FSR1H 
	MOVF        MFRC522_Write_i_L0+0, 0 
	ADDWF       FSR1L, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVF        MFRC522_Write_i_L0+0, 0 
	ADDWF       FARG_MFRC522_Write_writeData+0, 0 
	MOVWF       FSR0L 
	MOVLW       0
	ADDWFC      FARG_MFRC522_Write_writeData+1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,543 :: 		for ( i = 0; i < 16; i++ ) {                //Data to the FIFO write 16Byte
	INCF        MFRC522_Write_i_L0+0, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,545 :: 		}
	GOTO        L_MFRC522_Write63
L_MFRC522_Write64:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,547 :: 		MFRC522_CRC( buff, 16, &buff[16] );
	MOVLW       MFRC522_Write_buff_L0+0
	MOVWF       FARG_MFRC522_CRC_dataIn+0 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+0)
	MOVWF       FARG_MFRC522_CRC_dataIn+1 
	MOVLW       16
	MOVWF       FARG_MFRC522_CRC_length+0 
	MOVLW       MFRC522_Write_buff_L0+16
	MOVWF       FARG_MFRC522_CRC_dataOut+0 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+16)
	MOVWF       FARG_MFRC522_CRC_dataOut+1 
	CALL        _MFRC522_CRC+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,548 :: 		_status = MFRC522_ToCard( PCD_TRANSCEIVE, buff, 18, buff, &recvBits );
	MOVLW       12
	MOVWF       FARG_MFRC522_ToCard_command+0 
	MOVLW       MFRC522_Write_buff_L0+0
	MOVWF       FARG_MFRC522_ToCard_sendData+0 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+0)
	MOVWF       FARG_MFRC522_ToCard_sendData+1 
	MOVLW       18
	MOVWF       FARG_MFRC522_ToCard_sendLen+0 
	MOVLW       MFRC522_Write_buff_L0+0
	MOVWF       FARG_MFRC522_ToCard_backData+0 
	MOVLW       hi_addr(MFRC522_Write_buff_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backData+1 
	MOVLW       MFRC522_Write_recvBits_L0+0
	MOVWF       FARG_MFRC522_ToCard_backLen+0 
	MOVLW       hi_addr(MFRC522_Write_recvBits_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backLen+1 
	CALL        _MFRC522_ToCard+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_Write__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,549 :: 		if ( (_status != MI_OK) || (recvBits != 4) || ( (buff[0] & 0x0F) != 0x0A ) ) {
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Write88
	MOVLW       0
	XORWF       MFRC522_Write_recvBits_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Write122
	MOVLW       4
	XORWF       MFRC522_Write_recvBits_L0+0, 0 
L__MFRC522_Write122:
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Write88
	MOVLW       15
	ANDWF       MFRC522_Write_buff_L0+0, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Write88
	GOTO        L_MFRC522_Write68
L__MFRC522_Write88:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,550 :: 		_status = MI_ERR;
	MOVLW       2
	MOVWF       MFRC522_Write__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,551 :: 		}
L_MFRC522_Write68:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,552 :: 		}
L_MFRC522_Write62:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,553 :: 		return _status;
	MOVF        MFRC522_Write__status_L0+0, 0 
	MOVWF       R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,554 :: 		}
L_end_MFRC522_Write:
	RETURN      0
; end of _MFRC522_Write

_MFRC522_Read:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,556 :: 		char MFRC522_Read( char blockAddr, char *recvData )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,560 :: 		recvData[0] = PICC_READ;
	MOVFF       FARG_MFRC522_Read_recvData+0, FSR1L
	MOVFF       FARG_MFRC522_Read_recvData+1, FSR1H
	MOVLW       48
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,561 :: 		recvData[1] = blockAddr;
	MOVLW       1
	ADDWF       FARG_MFRC522_Read_recvData+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      FARG_MFRC522_Read_recvData+1, 0 
	MOVWF       FSR1H 
	MOVF        FARG_MFRC522_Read_blockAddr+0, 0 
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,563 :: 		MFRC522_CRC( recvData, 2, &recvData[2] );
	MOVF        FARG_MFRC522_Read_recvData+0, 0 
	MOVWF       FARG_MFRC522_CRC_dataIn+0 
	MOVF        FARG_MFRC522_Read_recvData+1, 0 
	MOVWF       FARG_MFRC522_CRC_dataIn+1 
	MOVLW       2
	MOVWF       FARG_MFRC522_CRC_length+0 
	MOVLW       2
	ADDWF       FARG_MFRC522_Read_recvData+0, 0 
	MOVWF       FARG_MFRC522_CRC_dataOut+0 
	MOVLW       0
	ADDWFC      FARG_MFRC522_Read_recvData+1, 0 
	MOVWF       FARG_MFRC522_CRC_dataOut+1 
	CALL        _MFRC522_CRC+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,565 :: 		_status = MFRC522_ToCard( PCD_TRANSCEIVE, recvData, 4, recvData, &unLen );
	MOVLW       12
	MOVWF       FARG_MFRC522_ToCard_command+0 
	MOVF        FARG_MFRC522_Read_recvData+0, 0 
	MOVWF       FARG_MFRC522_ToCard_sendData+0 
	MOVF        FARG_MFRC522_Read_recvData+1, 0 
	MOVWF       FARG_MFRC522_ToCard_sendData+1 
	MOVLW       4
	MOVWF       FARG_MFRC522_ToCard_sendLen+0 
	MOVF        FARG_MFRC522_Read_recvData+0, 0 
	MOVWF       FARG_MFRC522_ToCard_backData+0 
	MOVF        FARG_MFRC522_Read_recvData+1, 0 
	MOVWF       FARG_MFRC522_ToCard_backData+1 
	MOVLW       MFRC522_Read_unLen_L0+0
	MOVWF       FARG_MFRC522_ToCard_backLen+0 
	MOVLW       hi_addr(MFRC522_Read_unLen_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backLen+1 
	CALL        _MFRC522_ToCard+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_Read__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,566 :: 		if ( (_status != MI_OK) || (unLen != 0x90) ) {
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Read90
	MOVLW       0
	XORWF       MFRC522_Read_unLen_L0+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Read124
	MOVLW       144
	XORWF       MFRC522_Read_unLen_L0+0, 0 
L__MFRC522_Read124:
	BTFSS       STATUS+0, 2 
	GOTO        L__MFRC522_Read90
	GOTO        L_MFRC522_Read71
L__MFRC522_Read90:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,567 :: 		_status = MI_ERR;
	MOVLW       2
	MOVWF       MFRC522_Read__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,568 :: 		}
L_MFRC522_Read71:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,569 :: 		return _status;
	MOVF        MFRC522_Read__status_L0+0, 0 
	MOVWF       R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,570 :: 		}
L_end_MFRC522_Read:
	RETURN      0
; end of _MFRC522_Read

_MFRC522_AntiColl:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,572 :: 		char MFRC522_AntiColl( char *serNum )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,576 :: 		char serNumCheck = 0;
	CLRF        MFRC522_AntiColl_serNumCheck_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,578 :: 		MFRC522_Wr( BITFRAMINGREG, 0x00 );                //TxLastBists = BitFramingReg[2..0]
	MOVLW       13
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_addr+0 
	CLRF        FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr_value+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Wr+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,579 :: 		serNum[0] = PICC_ANTICOLL;
	MOVFF       FARG_MFRC522_AntiColl_serNum+0, FSR1L
	MOVFF       FARG_MFRC522_AntiColl_serNum+1, FSR1H
	MOVLW       147
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,580 :: 		serNum[1] = 0x20;
	MOVLW       1
	ADDWF       FARG_MFRC522_AntiColl_serNum+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      FARG_MFRC522_AntiColl_serNum+1, 0 
	MOVWF       FSR1H 
	MOVLW       32
	MOVWF       POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,581 :: 		MFRC522_Clear_Bit( STATUS2REG, 0x08 );
	MOVLW       8
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_addr+0 
	MOVLW       8
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit_mask+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Clear_Bit+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,582 :: 		_status = MFRC522_ToCard( PCD_TRANSCEIVE, serNum, 2, serNum, &unLen );
	MOVLW       12
	MOVWF       FARG_MFRC522_ToCard_command+0 
	MOVF        FARG_MFRC522_AntiColl_serNum+0, 0 
	MOVWF       FARG_MFRC522_ToCard_sendData+0 
	MOVF        FARG_MFRC522_AntiColl_serNum+1, 0 
	MOVWF       FARG_MFRC522_ToCard_sendData+1 
	MOVLW       2
	MOVWF       FARG_MFRC522_ToCard_sendLen+0 
	MOVF        FARG_MFRC522_AntiColl_serNum+0, 0 
	MOVWF       FARG_MFRC522_ToCard_backData+0 
	MOVF        FARG_MFRC522_AntiColl_serNum+1, 0 
	MOVWF       FARG_MFRC522_ToCard_backData+1 
	MOVLW       MFRC522_AntiColl_unLen_L0+0
	MOVWF       FARG_MFRC522_ToCard_backLen+0 
	MOVLW       hi_addr(MFRC522_AntiColl_unLen_L0+0)
	MOVWF       FARG_MFRC522_ToCard_backLen+1 
	CALL        _MFRC522_ToCard+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_AntiColl__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,583 :: 		if (_status == MI_OK) {
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_AntiColl72
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,584 :: 		for ( i=0; i < 4; i++ ) {
	CLRF        MFRC522_AntiColl_i_L0+0 
L_MFRC522_AntiColl73:
	MOVLW       4
	SUBWF       MFRC522_AntiColl_i_L0+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_MFRC522_AntiColl74
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,585 :: 		serNumCheck ^= serNum[i];
	MOVF        MFRC522_AntiColl_i_L0+0, 0 
	ADDWF       FARG_MFRC522_AntiColl_serNum+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      FARG_MFRC522_AntiColl_serNum+1, 0 
	MOVWF       FSR2H 
	MOVF        POSTINC2+0, 0 
	XORWF       MFRC522_AntiColl_serNumCheck_L0+0, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,584 :: 		for ( i=0; i < 4; i++ ) {
	INCF        MFRC522_AntiColl_i_L0+0, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,586 :: 		}
	GOTO        L_MFRC522_AntiColl73
L_MFRC522_AntiColl74:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,588 :: 		if ( serNumCheck != serNum[4] ) {
	MOVLW       4
	ADDWF       FARG_MFRC522_AntiColl_serNum+0, 0 
	MOVWF       FSR2L 
	MOVLW       0
	ADDWFC      FARG_MFRC522_AntiColl_serNum+1, 0 
	MOVWF       FSR2H 
	MOVF        MFRC522_AntiColl_serNumCheck_L0+0, 0 
	XORWF       POSTINC2+0, 0 
	BTFSC       STATUS+0, 2 
	GOTO        L_MFRC522_AntiColl76
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,589 :: 		_status = MI_ERR;
	MOVLW       2
	MOVWF       MFRC522_AntiColl__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,590 :: 		}
L_MFRC522_AntiColl76:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,591 :: 		}
L_MFRC522_AntiColl72:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,592 :: 		return _status;
	MOVF        MFRC522_AntiColl__status_L0+0, 0 
	MOVWF       R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,593 :: 		}
L_end_MFRC522_AntiColl:
	RETURN      0
; end of _MFRC522_AntiColl

_MFRC522_isCard:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,600 :: 		char MFRC522_isCard( char *TagType )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,602 :: 		if (MFRC522_Request( PICC_REQIDL, TagType ) == MI_OK)
	MOVLW       38
	MOVWF       FARG_MFRC522_Request_reqMode+0 
	MOVF        FARG_MFRC522_isCard_TagType+0, 0 
	MOVWF       FARG_MFRC522_Request_TagType+0 
	MOVF        FARG_MFRC522_isCard_TagType+1, 0 
	MOVWF       FARG_MFRC522_Request_TagType+1 
	CALL        _MFRC522_Request+0, 0
	MOVF        R0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_isCard77
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,603 :: 		return 1;
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_MFRC522_isCard
L_MFRC522_isCard77:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,605 :: 		return 0;
	CLRF        R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,607 :: 		}
L_end_MFRC522_isCard:
	RETURN      0
; end of _MFRC522_isCard

_MFRC522_ReadCardSerial:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,609 :: 		char MFRC522_ReadCardSerial( char *str )
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,612 :: 		_status = MFRC522_AntiColl( str );
	MOVF        FARG_MFRC522_ReadCardSerial_str+0, 0 
	MOVWF       FARG_MFRC522_AntiColl_serNum+0 
	MOVF        FARG_MFRC522_ReadCardSerial_str+1, 0 
	MOVWF       FARG_MFRC522_AntiColl_serNum+1 
	CALL        _MFRC522_AntiColl+0, 0
	MOVF        R0, 0 
	MOVWF       MFRC522_ReadCardSerial__status_L0+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,613 :: 		str[5] = 0;
	MOVLW       5
	ADDWF       FARG_MFRC522_ReadCardSerial_str+0, 0 
	MOVWF       FSR1L 
	MOVLW       0
	ADDWFC      FARG_MFRC522_ReadCardSerial_str+1, 0 
	MOVWF       FSR1H 
	CLRF        POSTINC1+0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,614 :: 		if (_status == MI_OK)
	MOVF        MFRC522_ReadCardSerial__status_L0+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_MFRC522_ReadCardSerial79
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,615 :: 		return 1;
	MOVLW       1
	MOVWF       R0 
	GOTO        L_end_MFRC522_ReadCardSerial
L_MFRC522_ReadCardSerial79:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,617 :: 		return 0;
	CLRF        R0 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,618 :: 		}
L_end_MFRC522_ReadCardSerial:
	RETURN      0
; end of _MFRC522_ReadCardSerial

_MFRC_getVersion:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,620 :: 		unsigned char  MFRC_getVersion(void)
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,622 :: 		return (MFRC522_Rd(0x37));
	MOVLW       55
	MOVWF       FARG_FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd_addr+0 
	CALL        FIRMWARE_DEON_UTR_PDS_V1_BASE_U1_MFRC522_Rd+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,623 :: 		}
L_end_MFRC_getVersion:
	RETURN      0
; end of _MFRC_getVersion

_Uart1_Escribir_Texto:

;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,626 :: 		void Uart1_Escribir_Texto(char *_text)
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,628 :: 		while (*_text) {
L_Uart1_Escribir_Texto81:
	MOVFF       FARG_Uart1_Escribir_Texto__text+0, FSR0L
	MOVFF       FARG_Uart1_Escribir_Texto__text+1, FSR0H
	MOVF        POSTINC0+0, 1 
	BTFSC       STATUS+0, 2 
	GOTO        L_Uart1_Escribir_Texto82
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,629 :: 		UART1_Write(*_text);
	MOVFF       FARG_Uart1_Escribir_Texto__text+0, FSR0L
	MOVFF       FARG_Uart1_Escribir_Texto__text+1, FSR0H
	MOVF        POSTINC0+0, 0 
	MOVWF       FARG_UART1_Write_data_+0 
	CALL        _UART1_Write+0, 0
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,630 :: 		_text++;
	INFSNZ      FARG_Uart1_Escribir_Texto__text+0, 1 
	INCF        FARG_Uart1_Escribir_Texto__text+1, 1 
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,631 :: 		}
	GOTO        L_Uart1_Escribir_Texto81
L_Uart1_Escribir_Texto82:
;FIRMWARE_DEON_UTR_PDS_V1_BASE_U1.c,632 :: 		}
L_end_Uart1_Escribir_Texto:
	RETURN      0
; end of _Uart1_Escribir_Texto
